ompi/mca/pml/ob1/pml_ob1.h File Reference.TH "ompi/mca/pml/ob1/pml_ob1.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/ob1/pml_ob1.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'opal/threads/threads.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'opal/util/cmd_line.h'\fP
.br
\fC#include 'request/request.h'\fP
.br
\fC#include 'mca/pml/pml.h'\fP
.br
\fC#include 'mca/pml/base/pml_base_request.h'\fP
.br
\fC#include 'mca/pml/base/pml_base_bsend.h'\fP
.br
\fC#include 'mca/pml/base/pml_base_sendreq.h'\fP
.br
\fC#include 'mca/btl/btl.h'\fP
.br
\fC#include 'ompi/datatype/datatype.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PML_OB1_FREE\fP(request)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_DES_ALLOC\fP(bml_btl, des, size)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_MAX_REGISTRATIONS\fP   4"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_pml_ob1_t\fP \fBmca_pml_ob1_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_rdma_reg_t\fP \fBmca_pml_ob1_rdma_reg_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBmca_pml_ob1_component_open\fP (void)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_component_close\fP (void)"
.br
.ti -1c
.RI "\fBmca_pml_base_module_t\fP * \fBmca_pml_ob1_component_init\fP (int *priority, bool enable_progress_threads, bool enable_mpi_threads)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_component_fini\fP (void)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_add_comm\fP (struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_del_comm\fP (struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_add_procs\fP (struct ompi_proc_t **procs, size_t nprocs)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_del_procs\fP (struct ompi_proc_t **procs, size_t nprocs)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_enable\fP (bool enable)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_progress\fP (void)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_iprobe\fP (int dst, int tag, struct ompi_communicator_t *comm, int *matched, ompi_status_public_t *status)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_probe\fP (int dst, int tag, struct ompi_communicator_t *comm, ompi_status_public_t *status)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_isend_init\fP (void *buf, size_t count, ompi_datatype_t *datatype, int dst, int tag, mca_pml_base_send_mode_t mode, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_isend\fP (void *buf, size_t count, ompi_datatype_t *datatype, int dst, int tag, mca_pml_base_send_mode_t mode, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_send\fP (void *buf, size_t count, ompi_datatype_t *datatype, int dst, int tag, mca_pml_base_send_mode_t mode, struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_irecv_init\fP (void *buf, size_t count, ompi_datatype_t *datatype, int src, int tag, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_irecv\fP (void *buf, size_t count, ompi_datatype_t *datatype, int src, int tag, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_recv\fP (void *buf, size_t count, ompi_datatype_t *datatype, int src, int tag, struct ompi_communicator_t *comm, ompi_status_public_t *status)"
.br
.ti -1c
.RI "int \fBmca_pml_ob1_start\fP (size_t count, \fBompi_request_t\fP **requests)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBmca_pml_ob1_t\fP \fBmca_pml_ob1\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PML_OB1_DES_ALLOC(bml_btl, des, size)"
.PP
\fBValue:\fP
.PP
.nf
MCA_BML_BASE_BTL_DES_ALLOC(bml_btl, des,  \
   sizeof(mca_pml_ob1_hdr_t) + (sizeof(mca_btl_base_segment_t) << 4), size)
.fi
.SS "#define MCA_PML_OB1_FREE(request)"
.PP
\fBValue:\fP
.PP
.nf
{ \
    mca_pml_base_request_t* pml_request = *(mca_pml_base_request_t**)(request); \
    pml_request->req_free_called = true; \
    if( pml_request->req_pml_complete == true) \
    { \
        switch(pml_request->req_type) { \
        case MCA_PML_REQUEST_SEND: \
            { \
                mca_pml_ob1_send_request_t* sendreq = (mca_pml_ob1_send_request_t*)pml_request; \
                if(sendreq->req_send.req_send_mode == MCA_PML_BASE_SEND_BUFFERED && \
                   sendreq->req_send.req_addr != sendreq->req_send.req_base.req_addr) { \
                    mca_pml_base_bsend_request_fini((ompi_request_t*)sendreq); \
                } \
                MCA_PML_OB1_SEND_REQUEST_RETURN(sendreq); \
                break; \
            } \
        case MCA_PML_REQUEST_RECV: \
            { \
                mca_pml_ob1_recv_request_t* recvreq = (mca_pml_ob1_recv_request_t*)pml_request; \
                MCA_PML_OB1_RECV_REQUEST_RETURN(recvreq); \
                break; \
            } \
        default: \
            break; \
        } \
    } \
    *(request) = MPI_REQUEST_NULL; \
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
